Author: Reiner Herrmann <reiner@reiner-h.de>
Description: Sort source files to get deterministic linking order
Last-Update: 2016-08-19
--- a/makefile
+++ b/makefile
@@ -51,7 +51,7 @@
 endif
 
 # Source and object files
-SOURCES = $(wildcard src/*.cpp)
+SOURCES = $(sort $(wildcard src/*.cpp))
 OBJS = $(SOURCES:.cpp=.o)
 OBJS := $(subst src/,obj/,$(OBJS))
 
